**`G Prasanna`[NAME]** -NL- **`gprasanna.mule@gmail.com`[EMAILS_EMAIL]** -NL- Mobile: **`+91-9494687755`[PHONES_PHONE]** -NL- **`Summary:`[SUMMARY_HEADING]** -NL- • Over 4.2 years of professional experience in IT and worked for technologies like Mule -NL- ESB, Cloudhub, JAVA, and Datastage. -NL- • Around 2.2 years of experience as an Integration **`Developer`[EMPLOYER_ROLE]** using in MULEESB -NL- technologies. -NL- • I had profound experience on designing APIs using Anypoint API manager and RAML. -NL- • Experience in development, enhancement, and coordination of changes to existing -NL- application. -NL- • Experience in developing Web Services using SOAP and REST. -NL- • Experience using mule connectors like DB, HTTP, HTTPS, FTP, FILE, SFTP, JMS, and -NL- Salesforce etc as a part of integration usage. -NL- • Working Experience in API-Led Connectivityand its layersSystem, Processand -NL- Experience Layers. -NL- • Worked on Data weave, API designer and various connectors to ensure robust -NL- and loosely coupled integration layer every time. -NL- • Experience inEAIdomainandexposure toSOA standards andworkedonESB tools like -NL- MULEESB. -NL- • Extensive experience in designing and creating data marts usingETL tools such asIBM -NL- Data stage 7.5x2 and knowledge on IBM Infosphere Datastage 8.0 -NL- **`Educational Qualifications:`[EDUCATION_HEADING]** -NL- • **`B.Tech`[EDUCATION_DEGREE]** (**`ECE`[EDUCATION_COURSE]**) from **`JNTU, Kakinada`[EDUCATION_INSTITUTE]**. -NL- Certification: -NL- • MuleSoft Certified **`Developer`[EMPLOYER_ROLE]** - Level 1 (Mule 4). -NL- **`Experience Summary:`[OTHERS_HEADING]** -NL- • Working as a Software Engineer for Tech Mahindra, Bangalore from September 2017 -NL- to till date. -NL- • Worked as a **`Developer`[EMPLOYER_ROLE]** for **`TCS`[EMPLOYER_COMPANY_NAME]**, Bangalore from August 2015 to September 2017. -NL- **`Technical skills:`[SKILLS_HEADING]** -NL- Operating Systems : Windows10/8, Linux -NL- Middleware technologies : Mule ESB, Anypoint Platform -NL- Front end technologies : HTML, JavaScript -NL- Ticketing Tool : JIRA -NL- Database : Oracle -NL- Programming knowledge : C, Java -NL- **`Projects Undertaken:`[OTHERS_HEADING]** -NL- Project#1 : NYC Omni Channel API -NL- Client :**` New York and Company`[PROJECT_COMPANY_NAME]** -NL- Domain : Retail -NL- Role : Mule **`Developer`[EMPLOYER_ROLE]** -NL- TeamSize : 4 -NL- Environment : Java 8, Mule Runtime 4.1.2, cloud hub, Anypoint Platform, -NL- Maven, Anypoint Studio 7.3.1 -NL- Description: -NL- New York & Company, Inc. is an American wear-to-work retailer for women. New York & -NL- Company apparel and accessories are sold through a nationwide network of retail stores, -NL- New York& Company Outlet Stores and through its e-commerce site. -NL- By taking an API-led approach, NY&C developed a mobile application with real-time -NL- inventory calls and became the first in specialty retail to have kiosks that complete end-to-end -NL- transactions. Today, MuleSoft is powering NY&C’s omnichannel strategy, and, more recently, -NL- NY&C was ranked #3 in a list of the top 100 omnichannel retailers. -NL- Responsibilities: -NL- • Responsible for Gathering requirements and client engagement. -NL- • Developed mule projects and message flows for integrating Salesforce with Workday and -NL- WMS systems. -NL- • Implemented API’s by following API-Led architecture. -NL- • Implemented System API’s and Process API’s. -NL- • Implemented API specifications using RAML 1.0 -NL- • Created flows, subflows based on requirement. -NL- • Deployed application in cloudhub and configured load balancers and different policies. -NL- Project#2 : **`AT&T`[PROJECT_TITLE]** -NL- Client : **`AT&T`[PROJECT_COMPANY_NAME]** -NL- Domain : Telecom -NL- Role : Integration **`Developer`[EMPLOYER_ROLE]** -NL- TeamSize : 8 -NL- Environment : Java 8, Mule Runtime 3.9, cloud hub, Anypoint Platform, -NL- Maven, Anypoint Studio -NL- Description: -NL- **`AT&T`[PROJECT_COMPANY_NAME]** Inc. is an American multinational telecommunications conglomerate, -NL- headquartered at Whitacre Tower in downtown Dallas, Texas. **`AT&T`[PROJECT_COMPANY_NAME]** is the world's -NL- largest telecommunications company. -NL- Responsibilities: -NL- • Requirement gathering from client & Onshore and design, development and -NL- documenting. -NL- • Implemented API’s using Anypoint Platform. -NL- • Implemented Contract first API Design using RAML. -NL- • Applied different Policies for API’s like OAUTH, Rate limiting etc. -NL- • DesignedRESTAPI usingRAMLand muleAPImanager toexpose various services outside -NL- theworld. -NL- • Implemented Mule work flows including data mapping, as needed. -NL- • Used API Kit Router to route the messages, from message source, based on the -NL- resources, http methods and its content type. -NL- • Implemented app to fetch the data from data base, converted intoJSON thenJSON to -NL- CSV,JSON toXML using data weavecomponent. -NL- • Implemented Custom transformer. -NL- • Written custom exception handling strategies. -NL- • Done JSON schema validation using JSON Schema validator. -NL- • Implemented Batch Jobs. -NL- • Experience in deploying mule application in cloudhub. -NL- • Implemented Test classes using MUNIT. -NL- Project#3 : **`Bristlecone`[PROJECT_TITLE]** -NL- Client : **`Bristlecone`[PROJECT_TITLE]** -NL- Role : Integration **`Developer`[EMPLOYER_ROLE]** -NL- TeamSize : 6 -NL- Environment : Java, Mule ESB 3.9, cloud hub, Anypoint Platform, spring, Maven, -NL- Anypoint Studio 6.4 -NL- Description: -NL- This project was for an insurance company where they have different databases like -NL- DB2 and Oracle for storing client and insurance data, and frond-end app in -NL- Salesforce. Mule soft is being used here to build APIs for the front-end app. -NL- Responsibilities: -NL- • Responsible for Gathering requirements and client engagement. -NL- • Creating RAML files for exposing REST services -NL- • Creating interfaces as per the requirement, developing flows, transforming data -NL- • Connecting to Salesforce, Database and other systems -NL- • Deployment of services to Cloudhub -NL- Project#4 : **`FactoryServices (GxMaps & GxDash)`[PROJECT_TITLE]** -NL- Client : **`ESI-US`[PROJECT_COMPANY_NAME]** -NL- Role : **`Developer`[EMPLOYER_ROLE]** -NL- Environment : Core Java, Spring ,JDBC,SQL Server -NL- 2008,Hiberante,Tomcat 6 -NL- Description: -NL- GxMaps Product is more Useful to Migrate the Multi-tier application to new platform. -NL- OurProduct givesus theend toendService CallHierarchy foreachfunctionacross the -NL- application boundaries. It reduces Manual effort and cost and it gives the complete -NL- report of each function is doing what and ability to identify the all the callers of the given -NL- function across the application boundaries. -NL- This report help us to prepare the Impact analysis Document. -NL- GxDash is the Dash board of Visual basic parser which will parse VB code,it -NL- provide the information of all call hierarchy as well as source code of all -NL- Functions,Rules etc..it will give the facility to -NL- Architecture to trace the call to design the documents and Pseudocade -NL- Responsibilities: -NL- • Involved in Coding and Manual Testing for Parser and Extractors . -NL- • I have taken individual responsibilities of Tasks , helping the team members. -NL- • I am the complete responsible for entire Build and Deploy activities. -NL- • I involved in writing Stored procedures. -NL- • Performedreviewson thecode, preparedcheck listsandensured thattheteamadheres to -NL- the process. -NL- • Performed implementation of the project into production -NL- • I involved in writing the Simple REST-Calls to give response to UI -NL- 